
public class Rook extends Piece {

    public Rook(Cell cell, Color color) {
        super(cell, color) ;
    }

    @Override
    public boolean isValidMove(Cell c, Cell board[][]) {
        if ( (
                (this.getCell().getCol() == c.getCol()) || (this.getCell().getRow() == c.getRow())
        ) && c.isEmpty()
                ) {
            if (this.getCell().getCol() == c.getCol() && this.getCell().getRow() < c.getRow()) {
                for (int i=1 ; i<8 ; ++i) {
                    if (!board[this.getCell().getRow()+i][c.getCol()].isEmpty()) return false;
                    if (this.getCell().getRow()+i == c.getRow()) break ;
                }
            }
            if (this.getCell().getCol() == c.getCol() && this.getCell().getRow() > c.getRow()) {
                for (int i=-1 ; i>-8 ; --i) {
                    if (!board[this.getCell().getRow()+i][c.getCol()].isEmpty()) {
                        //System.out.println("294 294") ;
                        return false;
                    }
                    if (this.getCell().getRow()+i == c.getRow()) break ;
                }
            }
            if (this.getCell().getCol() < c.getCol() && this.getCell().getRow() == c.getRow()) {
                for (int i=1 ; i<8 ; ++i) {
                    if (!board[c.getRow()][this.getCell().getCol()+i].isEmpty()) return false;
                    if (this.getCell().getCol()+i == c.getCol()) break ;
                }
            }
            if (this.getCell().getCol() > c.getCol() && this.getCell().getRow() == c.getRow()) {
                for (int i=-1 ; i>-8 ; --i) {
                    if (!board[c.getRow()][this.getCell().getCol()+i].isEmpty()) return false;
                    if (this.getCell().getCol()+i == c.getCol()) break ;
                }
            }
            return true ;
        }
        else return false ;
    }
}